
function MH_UpdateResText(self, ...)
	local healthText
	local unitHealth = UnitHealth("playertarget")
	local unitHealthMax = UnitHealthMax("playertarget")
	local display_health = unitHealth
	local display_health_max = unitHealthMax
	local display_health_postfix = ""
	
	if (unitHealth >= 1000000) then
		display_health =  unitHealth / 1000000
		display_health_max = unitHealthMax / 1000000
		display_health_postfix  = "M" 
	elseif(unitHealth >= 100000) then
		display_health = unitHealth / 1000
		display_health_max = unitHealthMax / 1000
		display_health_postfix  = "K"
	end
	
	if UnitIsDead("playertarget") == false and unitHealth and unitHealthMax and unitHealth > 0 and unitHealthMax > 0 then
		healthText = string.format("%d%% %d%s / %d%s", unitHealth / unitHealthMax * 100, display_health, display_health_postfix, display_health_max, display_health_postfix)
		MH_TargetHealthText:SetPoint( "TOP", "TargetFrameHealthBar", "TOP", 0, -1 )
		MH_TargetHealthText:SetText( healthText or "" )
	else
		MH_TargetHealthText:SetText( "" )
	end
end

local frame, events = CreateFrame("Frame"), {};
function events:UNIT_HEALTH(...)
	MH_UpdateResText(self, ...)
end
function events:PLAYER_TARGET_CHANGED(...)
	MH_UpdateResText(self, ...)
end
frame:SetScript("OnEvent", function(self, event, ...)
 events[event](self, ...); -- call one of the functions above
end);
for k, v in pairs(events) do
 frame:RegisterEvent(k); -- Register all events for which handlers have been defined
end